Skip to content

ACL (Template) ​

14 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportOsgCustomAclTemplateGETExport gateway custom ACL template rules
deleteAclTemplateDELETEDelete Gateway/AP ACL template
getEapAclListTemplateGETGet eap ACL template list
createEapAclTemplatePOSTCreate new eap template ACL
modifyEapAclTemplatePUTModify an EAP template ACL
modifyAclIndexTemplatePOSTModify ACL template Index
getOsgAclListTemplateGETGet gateway ACL template list
createOsgAclTemplatePOSTCreate new gateway template ACL
modifyOsgAclTemplatePUTModify a gateway template ACL
getAclConfigTypeSettingTemplateGETGet gateway ACL config mode template
modifyAclConfigTypeSettingTemplatePUTModify gateway ACL config template mode
getOsgCustomAclListTemplateGETGet osg custom ACL template
updateOsgCustomAclsTemplatePATCHUpdate osg custom ACL templates
modifyOsgCustomAclIndexTemplatePOSTModify gateway custom ACL template index

exportOsgCustomAclTemplate ​

GET /openapi/v1/{omadacId}/files/sitetemplates/{siteTemplateId}/acls/export

Export gateway custom ACL template rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "exportOsgCustomAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Export gateway custom ACL template rules
The interface requires one of the permissions:
Global Site Template Manager View Only

deleteAclTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/{aclId}

Delete Gateway/AP ACL template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
aclIdpathstringyesACL ID
json
// omada_call_operation
{
  "operationId": "deleteAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "aclId": "<aclId>"
  }
}
Details, permissions and error codes

Delete Gateway/AP ACL template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getEapAclListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls

Get eap ACL template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getEapAclListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get eap ACL template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createEapAclTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls

Create new eap template ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema EapACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
json
// omada_call_operation
{
  "operationId": "createEapAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new eap template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyEapAclTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls/{aclId}

Modify an EAP template ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
aclIdpathstringyesACL ID

Request body — application/json (required) — schema EapACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group
json
// omada_call_operation
{
  "operationId": "modifyEapAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "aclId": "<aclId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an EAP template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyAclIndexTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/modifyIndex

Modify ACL template Index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema DragSortIndexTemplateOpenapiVO

FieldTypeRequiredDescription
typestringyes"gateway" or "eap"
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyAclIndexTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify ACL template Index.
The interface requires one of the permissions:
Global Site Template Manager Modify

getOsgAclListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls

Get gateway ACL template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOsgAclListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get gateway ACL template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createOsgAclTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls

Create new gateway template ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema GatewayACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
syslogbooleanyesEnable remote log
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group
directionGateway direction entityyes(Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity")
stateModeintegeryesStateMode should be a value as follows: 0: auto; 1: manual
statesGateway ACL states entityno(Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity")
timeRangeIdstringnoGateway ACL time range ID.
json
// omada_call_operation
{
  "operationId": "createOsgAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new gateway template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyOsgAclTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls/{aclId}

Modify a gateway template ACL

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
aclIdpathstringyesACL ID

Request body — application/json (required) — schema GatewayACLConfig

FieldTypeRequiredDescription
descriptionstringyesACL rule description, description should contain 1 to 512 characters.
statusbooleanyesStatus should be a value as follows: 0: disable; 1: enable
policyintegeryesPolicy should be a value as follows: 0: drop; 1: allow;
protocolsarray<integer>yesFor the values of protocols, refer to section 5.5 of the Open API Access Guide.
sourceIdsarray<string>yesSource IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
destinationIdsarray<string>noSource IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
syslogbooleanyesEnable remote log
sourceTypeintegeryesSourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group
destinationTypeintegeryesDestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group
directionGateway direction entityyes(Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity")
stateModeintegeryesStateMode should be a value as follows: 0: auto; 1: manual
statesGateway ACL states entityno(Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity")
timeRangeIdstringnoGateway ACL time range ID.
json
// omada_call_operation
{
  "operationId": "modifyOsgAclTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "aclId": "<aclId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a gateway template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify

getAclConfigTypeSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-config-mode

Get gateway ACL config mode template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getAclConfigTypeSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get gateway ACL config mode template
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyAclConfigTypeSettingTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-config-mode

Modify gateway ACL config template mode

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema Gateway ACL config mode entity

FieldTypeRequiredDescription
modeintegeryesGateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom
json
// omada_call_operation
{
  "operationId": "modifyAclConfigTypeSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway ACL config template mode
The interface requires one of the permissions:
Global Site Template Manager Modify

getOsgCustomAclListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls

Get osg custom ACL template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOsgCustomAclListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get osg custom ACL template.
The interface requires one of the permissions:
Global Site Template Manager View Only

updateOsgCustomAclsTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls

Update osg custom ACL templates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema Gateway Custom ACL update entity

FieldTypeRequiredDescription
addsarray<GatewayCustomACLAddEntity>noAdded Custom ACLs.
deletesarray<string>noDeleted Custom ACLs.
modifiesarray<Gateway Custom ACL modify entity>noModified Custom ACLs.
json
// omada_call_operation
{
  "operationId": "updateOsgCustomAclsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update osg custom ACL templates.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyOsgCustomAclIndexTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls/modifyIndex

Modify gateway custom ACL template index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema DragSortIndexOpenapiVO

FieldTypeRequiredDescription
typestringyes"gateway" or "switch" or "eap"
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyOsgCustomAclIndexTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway custom ACL template index
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.